- Qt 6.7
- Qt GRPC
- C++ Classes
- QtGrpc (Technical Preview)
- QGrpcHttp2Channel
- Qt 6.7.2 Reference Documentation

# QGrpcHttp2Channel Class

The QGrpcHttp2Channel class is an HTTP/2-based of QAbstractGrpcChannel, based on Qt Network HTTP/2 implementation. More...

Header: | #include <QGrpcHttp2Channel>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Grpc) target_link_libraries(mytarget PRIVATE Qt6::Grpc)
Since: | Qt 6.5
Instantiated By: | QQmlGrpcHttp2Channel
Inherits: | QAbstractGrpcChannel
Status: | Technical Preview

- List of all members, including inherited members

## Public Functions

| QGrpcHttp2Channel(const QGrpcChannelOptions &options)
virtual | ~QGrpcHttp2Channel() override

## Detailed Description

Uses QGrpcChannelOptions and QGrpcCallOptions to control the HTTP/2 communication with the server.

Use QGrpcChannelOptions to set the SSL configuration, application-specific HTTP/2 headers, and connection timeouts.

QGrpcCallOptions control channel parameters for the specific unary call or gRPC stream.

See also QGrpcChannelOptions, QGrpcCallOptions, and QSslConfiguration.

## Member Function Documentation

### `[explicit]` QGrpcHttp2Channel::QGrpcHttp2Channel(const QGrpcChannelOptions &options)

Constructs QGrpcHttp2Channel with options.

### `[override virtual noexcept]` QGrpcHttp2Channel::~QGrpcHttp2Channel()

Destroys the QGrpcHttp2Channel object.